# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_ListIteratorOfListOfExtendedString Class Reference

`#include <TDataStd_ListIteratorOfListOfExtendedString.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_ListIteratorOfListOfExtendedString ()
Standard_EXPORT | TDataStd_ListIteratorOfListOfExtendedString (const TDataStd_ListOfExtendedString &L)
Standard_EXPORT void | Initialize (const TDataStd_ListOfExtendedString &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT TCollection_ExtendedString & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_ListIteratorOfListOfExtendedString::TDataStd_ListIteratorOfListOfExtendedString | ( |  | ) |

Standard_EXPORT TDataStd_ListIteratorOfListOfExtendedString::TDataStd_ListIteratorOfListOfExtendedString | ( | const TDataStd_ListOfExtendedString & | L | ) |

## Member Function Documentation

Standard_EXPORT void TDataStd_ListIteratorOfListOfExtendedString::Initialize | ( | const TDataStd_ListOfExtendedString & | L | ) |

Standard_Boolean TDataStd_ListIteratorOfListOfExtendedString::More | ( |  | ) | const

Standard_EXPORT void TDataStd_ListIteratorOfListOfExtendedString::Next | ( |  | ) |

void TDataStd_ListIteratorOfListOfExtendedString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_ListIteratorOfListOfExtendedString::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_ListIteratorOfListOfExtendedString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT TCollection_ExtendedString& TDataStd_ListIteratorOfListOfExtendedString::Value | ( |  | ) | const

## Field Documentation

Standard_Address TDataStd_ListIteratorOfListOfExtendedString::current `[private]`

Standard_Address TDataStd_ListIteratorOfListOfExtendedString::previous `[private]`

The documentation for this class was generated from the following file:

- TDataStd_ListIteratorOfListOfExtendedString.hxx